curl --request POST \
--url https://api.snappy.com/public-api/v2/gifts/{giftId}/expire \
--header 'X-Api-Key: <api-key>'{
"status": "expired"
}Use this endpoint to expire a gift that has not yet been claimed by the recipient. This operation prevents the recipient from selecting a product and generating an order.
A successful request will return the updated gift status.
gifts:updatecurl --request POST \
--url https://api.snappy.com/public-api/v2/gifts/{giftId}/expire \
--header 'X-Api-Key: <api-key>'{
"status": "expired"
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
The id of the gift.
"abc123de"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Ok
The updated status of the gift
Was this page helpful?